package com.rjconsultores.ventaboletos.utilerias;

import java.util.Locale;

import org.zkoss.util.Locales;

/**
 * Retorna o locale atual, caso o locale não seja suportado pelo sistema,<br>
 * será retornado o locale pt_br 
 * @author Wilian
 */
public class LocaleUtil {
	
	
	private static Locale LOCALE_PT_BR = new Locale("pt", "br");
	private static Locale LOCALE_ES_MX = new Locale("es", "mx");
	
	private static Locale [] LOCALES = new Locale[]{LOCALE_PT_BR, LOCALE_ES_MX};
	
	/**
	 * Retorna o locale atual, caso o locale não seja suportado pelo sistema,<br>
	 * será retornado o locale pt_br
	 * @return
	 */
	public static Locale getLocale() {
		Locale localeCurrent = Locales.getCurrent();
		for (Locale locale : LOCALES) {
			if(localeCurrent.getLanguage().equals(locale.getLanguage())) {
				return localeCurrent;
			}
		}
		
		return LOCALE_PT_BR;
	}

}
